Folders\videos 10 endpoints

DELETE /me/projects/{project_id}/videos

This method removes multiple videos from the specified folder. The authenticated user must be the owner of the folder.

operationId: FoldersVideos_removeMultipleFromFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

should_delete_clips query optional boolean

Whether to delete the videos when removing them from the folder.

uris query required string

A comma-separated list of the video URIs to remove.

Responses

204

The videos were removed.

400

Error code 2204: The input is invalid.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder exists.

DELETE /me/projects/{project_id}/videos
GET /me/projects/{project_id}/videos

This method returns all the videos that belong to the specified folder.

operationId: FoldersVideos_getVideosInFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter_tag query optional string

A comma-separated list of tags to filter on. All results must include at least one of these tags. The use of this parameter triggers a search.

filter_tag_all_of query optional string

A comma-separated list of tags to filter on. All results must include all of these tags. The use of this parameter triggers a search.

filter_tag_exclude query optional string

A comma-separated list of tags to exclude. The use of this parameter triggers a search.

include_subfolders query optional boolean

Whether to include subfolders.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

query_fields query optional string

A comma-separated list of fields to query over. The default value is title,description,chapters,tags.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • default - Use the default sort order.
  • duration - Sort the results by duration.
  • last_user_action_event_date - Sort the results by the date of the last user action.

Responses

200

The videos were returned.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder exists.

GET /me/projects/{project_id}/videos
PUT /me/projects/{project_id}/videos

This method adds multiple videos to the specified folder. The authenticated user must be the owner of the folder.

operationId: FoldersVideos_addMultipleToFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

uris query required string

A comma-separated list of video URIs to add.

Responses

204

The videos were added.

400

Error code 2204: The input is invalid.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder or video exists.

PUT /me/projects/{project_id}/videos
DELETE /me/projects/{project_id}/videos/{video_id}

This method removes a single video from the specified folder. Please note that this doesn’t delete the video itself.

operationId: FoldersVideos_removeSingleVideo

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

400

Error code 2204: The input is invalid.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such video exists in the folder.

DELETE /me/projects/{project_id}/videos/{video_id}
PUT /me/projects/{project_id}/videos/{video_id}

This method adds a single video to the specified folder. The authenticated user must be the owner of the folder.

operationId: FoldersVideos_addToFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

video_id path required number

The ID of the video.

Responses

204

The video was added.

404

Error code 5000: No such user, folder, or video exists.

PUT /me/projects/{project_id}/videos/{video_id}
DELETE /users/{user_id}/projects/{project_id}/videos

This method removes multiple videos from the specified folder. The authenticated user must be the owner of the folder.

operationId: FoldersVideos_removeMultipleVideosFromFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

should_delete_clips query optional boolean

Whether to delete the videos when removing them from the folder.

uris query required string

A comma-separated list of the video URIs to remove.

Responses

204

The videos were removed.

400

Error code 2204: The input is invalid.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder exists.

DELETE /users/{user_id}/projects/{project_id}/videos
GET /users/{user_id}/projects/{project_id}/videos

This method returns all the videos that belong to the specified folder.

operationId: FoldersVideos_getAllFolderVideos

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter_tag query optional string

A comma-separated list of tags to filter on. All results must include at least one of these tags. The use of this parameter triggers a search.

filter_tag_all_of query optional string

A comma-separated list of tags to filter on. All results must include all of these tags. The use of this parameter triggers a search.

filter_tag_exclude query optional string

A comma-separated list of tags to exclude. The use of this parameter triggers a search.

include_subfolders query optional boolean

Whether to include subfolders.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

query_fields query optional string

A comma-separated list of fields to query over. The default value is title,description,chapters,tags.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • default - Use the default sort order.
  • duration - Sort the results by duration.
  • last_user_action_event_date - Sort the results by the date of the last user action.

Responses

200

The videos were returned.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder exists.

GET /users/{user_id}/projects/{project_id}/videos
PUT /users/{user_id}/projects/{project_id}/videos

This method adds multiple videos to the specified folder. The authenticated user must be the owner of the folder.

operationId: FoldersVideos_addToFolderVideos

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

uris query required string

A comma-separated list of video URIs to add.

Responses

204

The videos were added.

400

Error code 2204: The input is invalid.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder or video exists.

PUT /users/{user_id}/projects/{project_id}/videos
DELETE /users/{user_id}/projects/{project_id}/videos/{video_id}

This method removes a single video from the specified folder. Please note that this doesn’t delete the video itself.

operationId: FoldersVideos_removeFromFolderVideo

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

400

Error code 2204: The input is invalid.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such video exists in the folder.

DELETE /users/{user_id}/projects/{project_id}/videos/{video_id}
PUT /users/{user_id}/projects/{project_id}/videos/{video_id}

This method adds a single video to the specified folder. The authenticated user must be the owner of the folder.

operationId: FoldersVideos_addSingleFolderVideo

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was added.

404

Error code 5000: No such user, folder, or video exists.

PUT /users/{user_id}/projects/{project_id}/videos/{video_id}

Groups\essentials 4 endpoints

GET /groups

This method returns every available group.

operationId: get_groups

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • featured - Return featured groups.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.
  • followers - Sort the results by number of followers.
  • relevant - Sort the results by relevance. This option is available for search queries only.
  • videos - Sort the results by number of videos.

Responses

200

The groups were returned.

GET /groups
POST /groups

This method creates a new group.

operationId: create_group

Request Body

required
application/vnd.vimeo.group+json
schema CreateGroupRequest
Property Type Required
name string required
description string optional

Responses

200

The group was created.

400

A parameter is invalid.

403

The authenticated user can’t create groups.

POST /groups
DELETE /groups/{group_id}

This method deletes the specified group. The authenticated user must be the owner of the group.

operationId: delete_group

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

Responses

204

The group was deleted.

403

The authenticated user can’t delete the group.

DELETE /groups/{group_id}
GET /groups/{group_id}

This method returns the specified group.

operationId: get_group

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

Responses

200

The group was returned.

GET /groups/{group_id}

Groups\subscriptions 4 endpoints

DELETE /me/groups/{group_id}

This method removes the authenticated user from the specified group. The authenticated user can’t be the owner of the group; assign a new owner through a PATCH request first.

operationId: GroupsSubscriptions_removeUserFromGroup

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

Responses

204

The user was removed from the group.

403

The authenticated user can’t leave the group.

DELETE /me/groups/{group_id}
PUT /me/groups/{group_id}

This method adds the authenticated user to the specified group.

operationId: GroupsSubscriptions_addUserToGroup

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

Responses

204

The user joined the group.

403

The authenticated user can’t join the group. Possible reasons are that the group isn’t public or that its privacy setting is members.

PUT /me/groups/{group_id}
DELETE /users/{user_id}/groups/{group_id}

This method removes the authenticated user from the specified group. The authenticated user can’t be the owner of the group; assign a new owner through a PATCH request first.

operationId: leave_group

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

user_id path required number

The ID of the user.

Responses

204

The user was removed from the group.

403

The authenticated user can’t leave the group.

DELETE /users/{user_id}/groups/{group_id}
PUT /users/{user_id}/groups/{group_id}

This method adds the authenticated user to the specified group.

operationId: join_group

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

user_id path required number

The ID of the user.

Responses

204

The user joined the group.

403

The authenticated user can’t join the group. Possible reasons are that the group isn’t public or that its privacy setting is members.

PUT /users/{user_id}/groups/{group_id}

Groups\users 5 endpoints

GET /groups/{group_id}/users

This method returns every user who belongs to the specified group.

operationId: GroupsUsers_getGroupUsers

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • moderators - Return group moderators.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.

Responses

200

The members were returned.

404

No such group exists.

GET /groups/{group_id}/users
GET /me/groups

This method returns every group to which the authenticated user belongs.

operationId: GroupsUsers_getUserGroups

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • moderated - Return moderated groups.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.
  • members - Sort the results by number of members.
  • videos - Sort the results by number of videos.

Responses

200

The groups were returned.

GET /me/groups
GET /me/groups/{group_id}

This method determines whether the authenticated user belongs to the specified group.

operationId: GroupsUsers_checkUserJoinedGroup

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

Responses

204

The user belongs to the group.

404
  • No such group exists.
  • The authenticated user isn’t a member of the group.
GET /me/groups/{group_id}
GET /users/{user_id}/groups

This method returns every group to which the authenticated user belongs.

operationId: GroupsUsers_getUserGroupsList

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • moderated - Return moderated groups.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.
  • members - Sort the results by number of members.
  • videos - Sort the results by number of videos.

Responses

200

The groups were returned.

GET /users/{user_id}/groups
GET /users/{user_id}/groups/{group_id}

This method determines whether the authenticated user belongs to the specified group.

operationId: GroupsUsers_checkBelongGroup

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

user_id path required number

The ID of the user.

Responses

204

The user belongs to the group.

404
  • No such group exists.
  • The authenticated user isn’t a member of the group.
GET /users/{user_id}/groups/{group_id}

Groups\videos 4 endpoints

GET /groups/{group_id}/videos

This method returns every video from the specified group.

operationId: GroupsVideos_getAllGroupVideos

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

304

No videos have been added to the group since the given If-Modified-Since header.

404

No such group exists.

GET /groups/{group_id}/videos
DELETE /groups/{group_id}/videos/{video_id}

This method removes a video from the specified group. The authenticated user must be the owner of the group.

operationId: GroupsVideos_removeFromGroup

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

403

The authenticated user can’t remove the video from the group.

DELETE /groups/{group_id}/videos/{video_id}
GET /groups/{group_id}/videos/{video_id}

This method returns a single video from the specified group. You can use this method to determine whether the video belongs to the group.

operationId: GroupsVideos_getSingleVideo

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

404

No such video or group exists.

GET /groups/{group_id}/videos/{video_id}
PUT /groups/{group_id}/videos/{video_id}

This method adds a video to the specified group. The authenticated user must be the owner of the group.

operationId: GroupsVideos_addToGroup

Parameters

Name In Required Type Description
group_id path required number

The ID of the group.

video_id path required number

The ID of the video.

Responses

200

The video was added.

202

The video is in pending status.

403
  • The video is already in the group.
  • The authenticated user can’t add videos to the group.
PUT /groups/{group_id}/videos/{video_id}

Likes\essentials 11 endpoints

GET /channels/{channel_id}/videos/{video_id}/likes

This method returns every user who has liked the specified video.

operationId: LikesEssentials_getUsersWhoLikedVideo

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by join date.

Responses

200

The users were returned.

GET /channels/{channel_id}/videos/{video_id}/likes
GET /me/likes

This method returns every video that the authenticated user has liked.

operationId: LikesEssentials_getUserLikedVideos

Parameters

Name In Required Type Description
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

GET /me/likes
DELETE /me/likes/{video_id}

This method causes the authenticated user to unlike the specified video.

operationId: LikesEssentials_unlikeVideo

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

204

The video was unliked.

403

The authenticated user can’t like videos.

DELETE /me/likes/{video_id}
GET /me/likes/{video_id}

This method checks if the authenticated user has liked the specified video.

operationId: LikesEssentials_checkUserLikedVideo

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

204

The user has liked the video.

404

The user hasn’t liked the video.

GET /me/likes/{video_id}
PUT /me/likes/{video_id}

This method causes the authenticated user to like the specified video. The user can’t like their own video.

operationId: LikesEssentials_likeVideo

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

204

The video was liked.

400

The authenticated user owns the video and can’t like it.

403

The authenticated user can’t like videos.

PUT /me/likes/{video_id}
GET /ondemand/pages/{ondemand_id}/likes

This method returns every user who has liked the specified video on an On Demand page.

operationId: LikesEssentials_getAllUserLikes

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • extra - Consider extra content only.
  • main - Consider main content only.
  • trailer - Consider trailer content only.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by join date.

Responses

200

The users were returned.

GET /ondemand/pages/{ondemand_id}/likes
GET /users/{user_id}/likes

This method returns every video that the authenticated user has liked.

operationId: get_likes

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

GET /users/{user_id}/likes
DELETE /users/{user_id}/likes/{video_id}

This method causes the authenticated user to unlike the specified video.

operationId: unlike_video

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was unliked.

403

The authenticated user can’t like videos.

DELETE /users/{user_id}/likes/{video_id}
GET /users/{user_id}/likes/{video_id}

This method checks if the authenticated user has liked the specified video.

operationId: LikesEssentials_checkVideoLikedByUser

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The user has liked the video.

404

The user hasn’t liked the video.

GET /users/{user_id}/likes/{video_id}
PUT /users/{user_id}/likes/{video_id}

This method causes the authenticated user to like the specified video. The user can’t like their own video.

operationId: like_video

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was liked.

400

The authenticated user owns the video and can’t like it.

403

The authenticated user can’t like videos.

PUT /users/{user_id}/likes/{video_id}
GET /videos/{video_id}/likes

This method returns every user who has liked the specified video.

operationId: LikesEssentials_getUserLikes

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by join date.

Responses

200

The users were returned.

GET /videos/{video_id}/likes

Live\embedprivacy 6 endpoints

GET /live_events/{live_event_id}/privacy/domains

This method returns every whitelisted domain for an event. The embed privacy setting must be whitelist.

operationId: LiveEmbedPrivacy_getWhitelistDomains

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Responses

200

The whitelisted domains for the event were returned.

400

Error code 2518: The embed permission isn’t whitelist.

403

Error code 3200: The authenticated user can’t get domains for the event.

404

Error code 5000: No such event exists.

500

Error code 4016: An unexpected error occurred.

GET /live_events/{live_event_id}/privacy/domains
PUT /live_events/{live_event_id}/privacy/domains

This method embeds an event on the specified domains. The embed privacy setting must be whitelist.

operationId: LiveEmbedPrivacy_embedEventOnDomains

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/json
schema LiveEmbedPrivacyEmbedEventOnDomainsRequest
Property Type Required
allowed_domains array optional

Responses

204

The domains were added to the whitelist.

400

Error code 2518: The embed permission isn’t whitelist.

403

Error code 3200: The authenticated user can’t edit domains for the event.

404

Error code 5000: No such event exists under the user.

500

Error code 4016: An unexpected error occurred.

PUT /live_events/{live_event_id}/privacy/domains
GET /me/live_events/{live_event_id}/privacy/domains

This method returns every whitelisted domain for an event. The embed privacy setting must be whitelist.

operationId: LiveEmbedPrivacy_getWhitelistDomains

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Responses

200

The whitelisted domains for the event were returned.

400

Error code 2518: The embed permission isn’t whitelist.

403

Error code 3200: The authenticated user can’t get domains for the event.

404

Error code 5000: No such event exists.

500

Error code 4016: An unexpected error occurred.

GET /me/live_events/{live_event_id}/privacy/domains
PUT /me/live_events/{live_event_id}/privacy/domains

This method embeds an event on the specified domains. The embed privacy setting must be whitelist.

operationId: LiveEmbedPrivacy_embedEventOnDomains

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/json
schema LiveEmbedPrivacyEmbedEventOnDomainsRequest1
Property Type Required
allowed_domains array optional

Responses

204

The domains were added to the whitelist.

400

Error code 2518: The embed permission isn’t whitelist.

403

Error code 3200: The authenticated user can’t edit domains for the event.

404

Error code 5000: No such event exists under the user.

500

Error code 4016: An unexpected error occurred.

PUT /me/live_events/{live_event_id}/privacy/domains
GET /users/{user_id}/live_events/{live_event_id}/privacy/domains

This method returns every whitelisted domain for an event. The embed privacy setting must be whitelist.

operationId: LiveEmbedPrivacy_getWhitelistDomains

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Responses

200

The whitelisted domains for the event were returned.

400

Error code 2518: The embed permission isn’t whitelist.

403

Error code 3200: The authenticated user can’t get domains for the event.

404

Error code 5000: No such event exists.

500

Error code 4016: An unexpected error occurred.

GET /users/{user_id}/live_events/{live_event_id}/privacy/domains
PUT /users/{user_id}/live_events/{live_event_id}/privacy/domains

This method embeds an event on the specified domains. The embed privacy setting must be whitelist.

operationId: LiveEmbedPrivacy_embedEventOnDomains

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

application/json
schema LiveEmbedPrivacyEmbedEventOnDomainsRequest2
Property Type Required
allowed_domains array optional

Responses

204

The domains were added to the whitelist.

400

Error code 2518: The embed permission isn’t whitelist.

403

Error code 3200: The authenticated user can’t edit domains for the event.

404

Error code 5000: No such event exists under the user.

500

Error code 4016: An unexpected error occurred.

PUT /users/{user_id}/live_events/{live_event_id}/privacy/domains

Live\essentials 6 endpoints

DELETE /live_events

This method deletes multiple events belonging to the authenticated user.

operationId: LiveEssentials_deleteMultipleEvents

Request Body

required
application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsDeleteMultipleEventsRequest
Property Type Required
password string required

Responses

200

OK

DELETE /live_events
GET /live_events

The method returns every event belonging to the authenticated user.

operationId: LiveEssentials_getUserLiveEvents

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • not_in_folder - Show only events that aren’t in a folder.
  • not_in_showcase - Show only events that aren’t in a showcase.
  • not_in_webinar - Show only events that aren’t in a webinar.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.
type query optional string

The type of event to return.

Option descriptions:

  • all - Return all events.
  • one_time - Return one-time events only.
  • recurring - Return recurring events only.

Responses

200

The events were returned.

GET /live_events
POST /live_events

This method creates a new event for the authenticated user.

operationId: LiveEssentials_createEvent

Request Body

required
application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsCreateEventRequest
Property Type Required
dvr boolean optional
embed object optional
loop boolean optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
link string optional
active boolean optional
sticky boolean optional
autoplay boolean optional
playlist boolean optional
schedule boolean optional
use_color boolean optional
show_latest_archived_clip boolean optional
title string required
schedule object optional
type string optional
weekdays array optional
daily_time string optional
time_zone string optional
folder_uri string optional
low_latency boolean optional
auto_cc_lang string optional
chat_enabled boolean optional
rtmp_preview boolean optional
stream_embed object optional
embed string optional
stream_title string optional
playlist_sort string optional
content_rating array optional
stream_privacy object optional
view string optional
auto_cc_enabled boolean optional
stream_password string optional
allow_share_link boolean optional
auto_cc_keywords string optional
scheduled_playback boolean optional
…3 more object optional

Responses

200

The event was created.

400

Error code 2204: A parameter is invalid.

401
  • Error code 3200: The authenticated user can’t create an event.
  • Error code 8000: The user credentials are invalid.
403
  • Error code 3422: The authenticated user can’t create an event.
  • Error code 3439: The authenticated user can’t edit the content rating of an event.
POST /live_events
DELETE /live_events/{live_event_id}

This method deletes a single event belonging to the authenticated user.

operationId: LiveEssentials_deleteSpecificLiveEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Responses

204

The event was deleted.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to delete the event.
  • Error code 3422: The authenticated user can’t delete the event.
404

Error code 5000: No such event or user exists.

DELETE /live_events/{live_event_id}
GET /live_events/{live_event_id}

This method returns a single event belonging to the authenticated user.

operationId: LiveEssentials_getEventById

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

password query optional string

The password of the event when the privacy is set to password.

Responses

200

The event was returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event exists.

GET /live_events/{live_event_id}
PATCH /live_events/{live_event_id}

This method updates an event belonging to the authenticated user.

operationId: LiveEssentials_updateEventBelongingToAuthenticatedUser

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsUpdateEventBelongingToAuthenticatedUserRequest
Property Type Required
dvr boolean optional
embed object optional
loop boolean optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
link string optional
active boolean optional
sticky boolean optional
autoplay boolean optional
playlist boolean optional
schedule boolean optional
use_color boolean optional
title string optional
schedule object optional
type string optional
weekdays array optional
daily_time string optional
time_zone string optional
stream_mode string optional
chat_enabled boolean optional
stream_embed object optional
embed string optional
stream_title string optional
playlist_sort string optional
content_rating array optional
stream_privacy object optional
view string optional
auto_cc_enabled boolean optional
stream_password string optional
auto_cc_keywords string optional
auto_cc_language string optional
scheduled_playback boolean optional
stream_description string optional
automatically_title_stream boolean optional
interaction_tools_settings object optional
is_qna_moderated boolean optional
is_anonymous_questions_disabled boolean optional

Responses

200

The event was updated.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to update the event.
  • Error code 3422: The authenticated user can’t update the event.
404

Error code 5000: No such event or user exists.

PATCH /live_events/{live_event_id}
Load more endpoints